package com.jpattern.orm.persistor.anew.type.jdbc;

import java.math.BigDecimal;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class BigDecimalNullWrapper implements TypeWrapper<BigDecimal, BigDecimal> {

	@Override
	public Class<BigDecimal> jdbcType() {
		return BigDecimal.class;
	}

	@Override
	public Class<BigDecimal> propertyType() {
		return BigDecimal.class;
	}

	@Override
	public BigDecimal wrap(final BigDecimal value) {
		return value;
	}

	@Override
	public BigDecimal unWrap(final BigDecimal value) {
		return value;
	}

}
