package com.jpattern.orm.persistor.anew.type.jdbc;

import java.sql.Date;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class DateNullWrapper implements TypeWrapper<Date, Date> {

	@Override
	public Class<Date> jdbcType() {
		return Date.class;
	}

	@Override
	public Class<Date> propertyType() {
		return Date.class;
	}

	@Override
	public Date wrap(final Date value) {
		return value;
	}

	@Override
	public Date unWrap(final Date value) {
		return value;
	}

}
