package com.jpattern.orm.persistor.anew.type.jdbc;

import java.io.InputStream;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class InputStreamNullWrapper implements TypeWrapper<InputStream, InputStream> {

	@Override
	public Class<InputStream> jdbcType() {
		return InputStream.class;
	}

	@Override
	public Class<InputStream> propertyType() {
		return InputStream.class;
	}

	@Override
	public InputStream wrap(final InputStream value) {
		return value;
	}

	@Override
	public InputStream unWrap(final InputStream value) {
		return value;
	}

}
