package com.jpattern.orm.persistor.anew.type.jdbc;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class StringNullWrapper implements TypeWrapper<String, String> {

	@Override
	public Class<String> jdbcType() {
		return String.class;
	}

	@Override
	public Class<String> propertyType() {
		return String.class;
	}

	@Override
	public String wrap(final String value) {
		return value;
	}

	@Override
	public String unWrap(final String value) {
		return value;
	}

}
