package com.jpattern.orm.persistor.anew.type.jdbc;

import java.sql.Time;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class TimeNullWrapper implements TypeWrapper<Time, Time> {

	@Override
	public Class<Time> jdbcType() {
		return Time.class;
	}

	@Override
	public Class<Time> propertyType() {
		return Time.class;
	}

	@Override
	public Time wrap(final Time value) {
		return value;
	}

	@Override
	public Time unWrap(final Time value) {
		return value;
	}

}
