package com.jpattern.orm.persistor.statement;

import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class DatePreparedStatementWriter extends
PreparedStatementWriter<Date> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setDate(index, castValue(value));
	}

	@Override
	protected Date castValue(final Object value) {
		return (Date) value;
	}

}
