package com.jpattern.orm.persistor.statement;

import java.sql.NClob;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class NClobPreparedStatementWriter extends
PreparedStatementWriter<NClob> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setNClob(index, castValue(value));
	}

	@Override
	protected NClob castValue(final Object value) {
		return (NClob) value;
	}

}
