package com.jpattern.orm.persistor.statement;

import java.sql.PreparedStatement;
import java.sql.SQLException;

public class ObjectPreparedStatementWriter extends
PreparedStatementWriter<Object> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setObject(index, castValue(value));
	}

	@Override
	protected Object castValue(final Object value) {
		return value;
	}

}
