package com.jpattern.orm.persistor.statement;

import java.sql.PreparedStatement;
import java.sql.SQLException;

public class StringPreparedStatementWriter extends
PreparedStatementWriter<String> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setString(index, castValue(value));
	}

	@Override
	protected String castValue(final Object value) {
		return (String) value;
	}

}
