package com.jpattern.orm.classtool;

import com.jpattern.orm.classmapper.IClassMapper;
import com.jpattern.orm.crud.IOrmCRUDQuery;
import com.jpattern.orm.persistor.IOrmPersistor;

/**
 * 
 * @author Francesco Cina
 *
 * 22/mag/2011
 */
public interface IOrmClassTool<T>  {

	IClassMapper<T> getClassMapper();
	
	IOrmPersistor<T> getOrmPersistor();
	
	IOrmCRUDQuery getOrmCRUDQuery();
}
