package com.jpattern.orm.persistor.anew.type.jdbc;

import java.sql.Blob;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class BlobNullWrapper implements TypeWrapper<Blob, Blob> {

	@Override
	public Class<Blob> jdbcType() {
		return Blob.class;
	}

	@Override
	public Class<Blob> propertyType() {
		return Blob.class;
	}

	@Override
	public Blob wrap(final Blob value) {
		return value;
	}

	@Override
	public Blob unWrap(final Blob value) {
		return value;
	}

}
