package com.jpattern.orm.persistor.anew.type.jdbc;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class BooleanPrimitiveNullWrapper implements TypeWrapper<Boolean, Boolean> {

	@Override
	public Class<Boolean> jdbcType() {
		return Boolean.TYPE;
	}

	@Override
	public Class<Boolean> propertyType() {
		return Boolean.TYPE;
	}

	@Override
	public Boolean wrap(final Boolean value) {
		return value;
	}

	@Override
	public Boolean unWrap(final Boolean value) {
		return value;
	}

}
