package com.jpattern.orm.persistor.anew.type.jdbc;

import java.sql.Timestamp;

import com.jpattern.orm.persistor.anew.type.TypeWrapper;


public class TimestampNullWrapper implements TypeWrapper<Timestamp, Timestamp> {

	@Override
	public Class<Timestamp> jdbcType() {
		return Timestamp.class;
	}

	@Override
	public Class<Timestamp> propertyType() {
		return Timestamp.class;
	}

	@Override
	public Timestamp wrap(final Timestamp value) {
		return value;
	}

	@Override
	public Timestamp unWrap(final Timestamp value) {
		return value;
	}

}
