package com.jpattern.orm.persistor.reflection.field;

import java.lang.reflect.InvocationTargetException;

/**
 * Get the value of a field
 * 
 * @author Francesco Cina'
 *
 * Mar 31, 2012
 */
public abstract class GetFieldManipulator<P> {

	public abstract P getValue(Object bean) throws IllegalArgumentException, IllegalAccessException, InvocationTargetException;

}
