package com.jpattern.orm.persistor.reflection.version;

import java.lang.reflect.InvocationTargetException;

/**
 * 
 * @author ufo
 *
 * @param <BEAN> the bean type
 * @param <P> the type of the property to increase
 */
public interface VersionManipulator<BEAN, P> {

	public void increaseVersion(BEAN bean, boolean firstVersionNumber) throws IllegalArgumentException, IllegalAccessException, InvocationTargetException;

}
