package com.jpattern.orm.persistor.statement;

import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * 
 * @author ufo
 *
 */
public abstract class PreparedStatementWriter<DB> {

	public abstract void setValueToPreparedStatement(final Object value, final PreparedStatement ps, final int index) throws SQLException;

	protected abstract DB castValue(final Object value);
}
